Update a fact-find schema Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v1/fact-find/schema/{factFindSchema_uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • factFindSchema_uuid string Required
application/json

Body

  • name string

    The name of the fact find schema. Must be unique.

  • introduction_html string

    The name of the fact find schema. Must be unique.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • archived_at string
    • is_archived boolean
    • name string
    • introduction_html string
    • sections_count integer
    • public_url string
PUT /api/v1/fact-find/schema/{factFindSchema_uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/fact-find/schema/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Mortgage Client Fact Find","introduction_html":"Welcome to our fact find! \u003cb\u003eYou can use some HTML too.\u003c/b\u003e"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Mortgage Client Fact Find",
  "introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>"
}
Response examples (200)
[
  {
    "uuid": "0cd9b66c-73b2-4f25-a355-837ea2fdb641",
    "created_at": "2026-07-20T11:19:01+01:00",
    "updated_at": "2026-07-20T11:19:01+01:00",
    "archived_at": "2026-07-19T11:19:01+01:00",
    "is_archived": false,
    "name": "Default fact find",
    "introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>",
    "sections_count": 5,
    "public_url": "https://api.plannrcrm.com/fact-find/868c7f8d-9af7-4a5a-bab2-89be348bc051"
  }
]